// let i = Int8(100 * 9)  // エラー。Int8型で表現できない。
// var u = UInt(-1)       // エラー。負数は符号なし整数に変換できない。

let b: Int8 = 40, c: Int8 = 80
// let d = b * c          // エラー。計算結果がInt8型で表現できなくなった。
let u = UInt(10)
// var v = u - 11         // エラー。結果が負数になった。

let f = Float(-3.125)
let i = Int(f)
print(i)              // iの値は-3。

var t:Double = 8      // 実数のインスタンスが作られて代入される
let s = t * 10        // 実数の変数tと演算をする実数インスタンスが作られる
print(s)

let m:UInt = 1000
let n:Int8 = 64
print(m == n)
print(m > n)

let x:Double = 0.3125
let y:Float = 64.0
// print(x == y)  Double と Float は比較できない
// print(x < y)
// print(n == y)  Float と Int8 は比較できない
