let fontSize: Float = 12.0

func setFont(name:String, size:Float = fontSize, bold:Bool = false) {
    print("\(name) \(size)" + (bold ? " [B]" : ""))
}

func setGray(level:Int = 255, _ alpha:Float = 1.0) {
    print("Gray=\(level), Alpha=\(alpha)")
}

setFont(name:"RaglanPunch")
setFont(name:"Courier", bold:true)
setFont(name:"Times", size:16.0, bold:true)
// setFont(name:"Times", bold:true, size:18.0)

setGray()
setGray(level:240)
setGray(level:128, 0.5)

print("")
// 以下は様々な定義パターンの例

func setFont2(name:String, size:Float = 12.0, bold:Bool) {
    print("\(name) \(size)" + (bold ? " [B]" : ""))
}

setFont2(name:"Baskerville", size:18.0, bold:true)
setFont2(name:"Helvetica", bold:true)

func setFont3(_ name:String, _ size:Float = 12.0, _ bold:Bool = false) {
    print("\(name) \(size)" + (bold ? " [B]" : ""))
}

setFont3("Menlo", 14.0, true)
setFont3("Menlo", 18.0)
setFont3("Courier")
