// ひと月のカレンダーを表示する関数

func printMonth(first fday:Int, days:Int) {
    var d = 1 - fday             // 月のはじまりの空白は負と０で表す
    func daystr() -> String {    // 関数内のローカルな関数
        if d <= 0 {              // 変数dは上で定義したもの
            return "    "        // 月初めの空白
        }else {
            return (d < 10 ? "   \(d)" : "  \(d)")
        }
    }

    while d <= days {
        var line = ""             // 一週間分の日付を並べる
        for _ in 0 ..< 7 {
            line += daystr()      // ネスト関数を使用
            d += 1
            if d > days { break } // 月末になったら抜ける
        }
        print(line)
    }
}

printMonth(first:1, days:31)
printMonth(first:4, days:28)
