var serialNumber = 2127

struct LCD {
    struct Size { var width, height : Int }   // ネスト型
    static var stdHeight = 1080
    static var stdWidth = 1920
    static var stdSize = Size(width: stdWidth, height:stdHeight)
                                              // タイププロパティの設定
    static func sn() -> Int { serialNumber += 1; return serialNumber }
    let size: Size
    let serial = "CZ:" + String(LCD.sn())
    // 引数に既定値があるイニシャライザ
    init(size: Size = LCD.stdSize) { self.size = size }
    func show() {
        print(serial, "(\(size.width)x\(size.height))")
    }
}

let display1 = LCD(size: LCD.Size(width:800, height:600))
display1.show()
LCD.stdHeight = 1200
let display2 = LCD()
display2.show()
LCD.stdWidth = 2560
let display3 = LCD()
display3.show()
