struct FoodMenu {
    let menu = ["ざる", "かけ", "たぬき"]        // 変更できない文字列の配列
    var submenu = ["とろろ", "天ぷら", "南ばん"] // 変更可能な文字列の配列
    let count = 6
    subscript (i:Int) -> String {  // 添字付けの定義
        get {
            return i < 3 ? menu[i] : submenu[i - 3]
        }
        set {
            if i > 2 && i < 6 {
                submenu[i - 3] = newValue
            }
        }
    }
}

var menu = FoodMenu()
for i in 0 ..< menu.count {
    print(menu[i], terminator:" ");   // 改行しない
}
print()

func show(_ menu: FoodMenu) {
    for i in 0 ..< menu.count {
        print(menu[i], terminator:" ");   // 改行しない
    }
    print()
}

menu[0] = "もり"
menu[5] = "くるみ"
show(menu)

func newitem(_ item: inout String) {
    item = "きつね"
}
newitem(&menu[5])
show(menu)
