struct Time {
    let in24h: Bool                 // 初期値はない
    var hour = 0, min = 0
    init(hour:Int, min:Int) {       // hour, min は外部引数名になる
        in24h = false               // 定数を初期設定できる
        self.hour = hour            // self.プロパティで引数名と区別
        self.min = min
    }
    init(hourIn24 h:Int) {
        in24h = true                // 定数を初期設定できる
        hour = h
    }
    init(_ hour:Int) {              // 外部引数名を使わない
        self.init(hourIn24: hour)   // 上のイニシャライザを使う
        // in24h = false  これはエラーになる
    }
}

var a = Time(hour:10, min:30)      // 12時制 10:30
var b = Time(hourIn24: 15)         // 24時制 15:00
var c = Time(12)                   // 24時制 12:00
// var d = Time()                             // エラー
// var e = Time(in24h:true, hour:13, min:30)  // エラー
