// 部分文字列を取り出す関数
func mySubstring(_ s:String, from f:Int, length n:Int) -> String? {
    guard s.count >= f + n else { return nil }     // 範囲が間違っている
    let begin = s.index(s.startIndex, offsetBy:f)  // 先頭からf文字の位置
    let upto = s.index(begin, offsetBy:n)          // さらにn文字後の位置
    return String( s[ begin ..< upto ] )           // Substring → Stringに変換
}

let str = "このelse部には問題がある!"
if let ss = mySubstring(str, from:6, length:4) {
    print(ss)
}
