var s = ["春", "夏", "秋", "冬"]
s[0...0] = ["初春", "仲春", "晩春"] // s[0] ではだめ
print(s)               // [初春, 仲春, 晩春, 夏, 秋, 冬] を出力
s[1...3] = ["花見", "梅雨", "夏休み"]
print(s)
                       // [初春, 花見, 梅雨, 夏休み, 夏, 秋, 冬]
s[3...4] = []          // 削除するためにも利用できる
print(s)               // [初春, 花見, 梅雨, 秋, 冬]

var days = ["日", "月", "火", "水", "木", "金", "土"]
print(days[3...5])      // ["水", "木", "金"]
print(days[...3])       // ["日", "月", "火", "水"]
print(days[5...])       // ["金", "土"]


let sub = days[2..<5]   // sub は ArraySlice型。["火", "水", "木"]
print(sub.count)        // 3 を出力。要素は３つ。
print(sub.startIndex)   // 2 を出力。配列の最初の添字を表すプロパティ。
print(sub[2])       // "火" を出力
print(sub[4])       // "木" を出力

// sub = ArraySliceの配列 ["火", "水", "木"]
let subarray = [String](sub)    // Array<String>のイニシャライザ
print(subarray[0])  // "火" を出力
