let atmark: Character = "@"         // 初期値(ASCII文字)を指定
let ditto: Character = "\u{3005}"   // Unicode "々"
let chain = Character("鎖")         // イニシャライザを使う

print(atmark, ditto, chain)

let hex: Character = "C"
if hex >= "A" && hex <= "F" { print("16進") }

let us1 : Unicode.Scalar = "箒"      // 定数は Unicode.Scalar 型
let us2 = Unicode.Scalar(0x83ef)     // "華"。定数は Unicode.Scalar? 型
let us3 = Unicode.Scalar("澪")       // 定数は Unicode.Scalar? 型
print("us1 = \(type(of:us1))")
print("us2 = \(type(of:us2))")
print("us3 = \(type(of:us3))")

print( us1 < us2! )
print( us1 >= "桜" )
let u = us1.value
print(u)

let cc = Character(us1)
print("\(cc), \(us1)")

var greek = ""
for v in Unicode.Scalar("α").value ... Unicode.Scalar("ω").value {
    greek.append(Character(Unicode.Scalar(v)!))
}
print(greek)
