enum WebColor {
    case name(String)   // 色の名前
    case code(String)   // 16進数によるカラーコード
    case white, black, red, blue, green, yellow, gray
}

let indigo = WebColor.name("indigo")         // インディゴブルー
let turquoise: WebColor = .code("#40E0D0")   // ターコイズ
let textColor = WebColor.black
print(indigo)
print(turquoise)
print(textColor)
// turquoise == WebColor.code("#40E0D0")   // エラー
