// ツェラーの公式
func dayOfWeek(_ y:Int, _ m:Int, _ d:Int) -> Int {
    var y = y, m = m       // 少々トリッキー。変数yは仮引数のyとは違う
    if m < 3 {             // 1,2月だったら
        m += 12; y -= 1    // 前年の13月、14月として計算する
    }
    let leap = y + y / 4 - y / 100 + y / 400
    return (leap + (13 * m + 8) / 5 + d) % 7
}

let year = 2018

for day in [ (1, 8), (8, 15), (9, 23) ] {

switch day {
case (1, let d) where d >= 8 && d <= 14 && dayOfWeek(year, 1, d) == 1:
    print("成人の日")
case (8, _): print("夏休み")
case (let m, let d) where dayOfWeek(year, m, d) == 0:
        print("\(m)/\(d)は日曜日")
default: break
}

} // end of loop

for day in [ (3, 14), (8, 26), (12, 23) ] {
    switch day {
    case let (m, d) where dayOfWeek(year, m, d) == 0:
            print("\(m)/\(d)は日曜日")
    default: break
    }
}
