enum Direction : Int {
    case up = 0, down, right, left
}

let a = Direction.right
let i = a.rawValue                  // i = 2 (Int)
let k = Direction.down.rawValue     // k = 1 (Int)
print(i, k)

let b : Direction? = Direction(rawValue:3)
print( b! == Direction.left )       // true
if let c = Direction(rawValue:2) {  // オプショナル束縛構文
    print("OK \(c.rawValue)")       // "OK 2"
}

