enum Ticket {
    case 切符(Int, Bool, 回数券:Bool) // 普通券：価格、小人、回数券かどうか
    case カード(Int, Bool)            // プリペイドカード：残高、小人
    case 敬老パス                     // 敬老パス
}


var list:[Ticket] = [
    .切符(250, false, 回数券:false),
    .カード(3300, false),
    .敬老パス,
    .切符(250, false, 回数券:false),
    .カード(1000, true)
]

for p in list {
    /* エラー
      if p == .カード { print("プリペイドカード") }
    */
    switch p {                  // switch文ではこのように記述できる
    case .カード: print("プリペイドカード")
    default: break
    }
}

print("---------")

for p in list {
    if case .カード = p {
        print("プリペイドカード")
    }
}

print("---------")

for p in list {
    if case .カード(let y, _) = p, y > 1200 {
        print("高いプリペイドカード")
    }
}
