enum Ticket {
    case 切符(Int, Bool, 回数券:Bool) // 普通券：価格、小人、回数券かどうか
    case カード(Int, Bool)            // プリペイドカード：残高、小人
    case 敬老パス                     // 敬老パス
}

var passes:[Ticket] = [
    .切符(320, false, 回数券:false),
    .切符(120, true, 回数券:true),
    .切符(240, false, 回数券:true),
    .切符(240, true, 回数券:false),
    .敬老パス,
    .カード(3300, false)
]

for case let .切符(fare, child, coupon) in passes where fare > 220 {
    var k = coupon ? "回数券" : "普通券"
    if child { k += "(小人)" }
    print(k, "\(fare)円")
}

print("---------")

for t in passes {
    switch t {
    case let .切符(fare, child, coupon):
        if fare > 220 {
            var k = coupon ? "回数券" : "普通券"
            if child { k += "(小人)" }
            print(k, "\(fare)円")
        }
    default: break
    }
}
