class Time {                        // 時間と分のみを持つクラスTime型
    var hour = 0, min = 0
    init(hour:Int, min:Int) {       // 全項目イニシャライザは使えない
        self.hour = hour; self.min = min
    }
    func advance(min:Int) {             // mutatingは書かない
        let m = self.min + min
        if m >= 60 {
            self.min = m % 60
            let t = self.hour + m / 60
            self.hour = t % 24
        }else{
            self.min = m
        }
    }
    func inc() {                    // mutatingは書かない
        self.advance(min:1);
    }
    func toString() -> String {
        let h = hour < 10 ? " \(hour)":"\(hour)"
        let m = min < 10 ? "0\(min)":"\(min)"
        return h + ":" + m
    }
}
