// ツェラーの公式
func dayOfWeek(_ y:Int, _ m:Int, _ d:Int) -> Int {
    var y = y, m = m       // 少々トリッキー。変数yは仮引数のyとは違う
    if m < 3 {             // 1,2月だったら
        m += 12; y -= 1    // 前年の13月、14月として計算する
    }
    let leap = y + y / 4 - y / 100 + y / 400
    return (leap + (13 * m + 8) / 5 + d) % 7
}

class DateInfo : DayOfMonth {  // クラスDateInfoの定義
    var year: Int
    var dow: Int               // 曜日（0:日, 1:月,..., 6:土）
    init(_ y:Int, _ m:Int, _ d:Int) {
        year = y                        // 新しいインスタンス変数を
        dow = dayOfWeek(y, m, d)        // 初期化してから
        super.init(month:m, day:d)      // スーパークラスを呼ぶ
    }
}
