func bracket(name: String) { print("[\(name)] ", terminator:"") }
func pr(name: String) { print(name + ": ", terminator:"") }
func pr(message m: String) { print("\"\(m)\"") }
func pr(_ strs: String...) {
    for s in strs { print(s, terminator:" ") }
    print()
}
func pr(_ num: Int) { print(num, terminator:" ") }

let f1 = bracket             // オーバーロードがなければ関数名だけでよい
let f2 = pr(message:)        // 引数ラベルで関数を指定できる
let f3:(String...)->() = pr  // 関数の型（引数と返り値）を明示する方法
f1("委員長")
f2("きちんとしなさい")                // [委員長] "きちんとしなさい"
f3("cat", "塾", "donut", "春休み")    // cat 塾 donut 春休み
