var m1:(() -> ())! = nil        // クロージャを代入する変数
var m2:(() -> ())! = nil

func makerW(_ a:Int) {
    var localvar = a
    m1 = { localvar += 1; print("m1: \(localvar)") }
    m2 = { localvar += 5; print("m2: \(localvar)") }
    m1()                        // [1] クロージャを呼び出してみる
    print("--: \(localvar)")    // [2]
    m2()                        // [3] クロージャを呼び出してみる
    print("--: \(localvar)")    // [4]
}

makerW(10)    // クロージャを生成する
m1()          // [5] クロージャを交互に呼び出してみる
m2()          // [6]
m1()          // [7]
