let c1 = { (a:Int, b:Int) -> Double in
    return Double(a) / Double(b) }

var c2: (Int, Int) -> Double = c1
print( c2(10, 4) )
print(c2)                 // "(Function)" と表示

func f1(a:Int, b:Int) -> Double { return Double(a) / Double(b) }
print(f1)                 // "(Function)" と表示
c2 = f1
print( f1(a:17, b:4) )
// print( c2(a:17, b:4) ) // 引数ラベルを記述するとエラーになる
print( c2(17, 4) )        // 正しく計算できる

func f2(a:Int) -> Double { return Double(a) / 100.0 }
let c3: (Int) -> Double = f2

print(c3(120))
