var theFunc:((Int) -> Int)! = nil      // クロージャを格納する変数
// func setFunc(_ f: (Int) -> Int) { theFunc = f }        // エラー
func doFunc(_ v:Int, _ f: (Int) -> Int) { print(f(v)) }   // 問題なし

// このようにすれば動作する
func setFunc(_ f:@escaping (Int) -> Int) { theFunc = f }

doFunc(90, { $0 * $0 } )
setFunc( { $0 * $0 } )
if let f = theFunc {
    print( f(100) )
}
