var theFunc:((Int) -> Int)! = nil      // クロージャを格納する変数
func setFunc(_ f:@escaping (Int) -> Int) { theFunc = f }

// setFunc にクロージャを渡す関数も @escaping が必要
func setFunc2(_ g: @escaping  (Int) -> Int) { setFunc(g) }

setFunc2( { $0 + $0 } )
if let f = theFunc {
    print( f(100) )
}

print("------")

/*
func dungeon(level: inout Int) { // コンパイルエラー。
    setFunc( { level + $0 } )    // setFuncは離脱するクロージャを引数にする
}
*/
    
func dungeon(_ level: inout Int) {
    setFunc( { [level] in level + $0 } )  // キャプチャリストでコピーを渡す
}

var mylevel = 5
dungeon(&mylevel)
print(mylevel)
