// func mySwap(_ a: inout Int, _ b: inout Int) {
//     let t = a; a = b; b = t
// }  ... Int型に対してのみ有効な mySwap関数

func mySwap<T>(_ a: inout T, _ b: inout T) {  // ジェネリック関数
    let t = a; a = b; b = t
}

var a = "AIZ", b = "bell"
mySwap(&a, &b)
print("a=\(a), b=\(b)")         // a=bell, b=AIZ と表示
var s = (1, 2), t = (100, 50)
mySwap(&s, &t)
print("s=\(s), t=\(t)")         // s=(100, 50), t=(1, 2)
