// SimpleVectorを採用しない場合
struct Vector<T> {
    var x, y: T
}

let a: Vector<Int> = Vector<Int>(x:12, y:3)
print(a.x, a.y)
let b = Vector<[String]>(x:[], y:["黒", "noir", "schwarz"]) // 使用可能
print(b)
let c = Vector<Vector<Int>>(x:a, y:Vector<Int>(x:6, y:8))
print(c.y.x)

print("------")
let p = Vector(x:10, y:2.0)
print(p.y)
print(type(of:p))
