var primes = stride(from:3, to:10000, by:2).reduce(into:[]) {
    (prm: inout [Int], n:Int) -> () in
    for p in prm {
        if n % p == 0 { return }  // 割り切れる数が見つかった
        if p * p > n { break }    // これ以上探す必要はない
    }
    prm.append(n)                 // 新しい素数として登録
}
primes.insert(2, at:0)            // 2はあとで追加
print(primes.count)               // 個数だけ表示。1229 と表示
