func rank<T:Comparable>(key: T, in a:[T]) -> (Int, Int) {
    var count = 1, total = 1        // 全体の個数にはkeyもカウント
    for elm in a {
        if key > elm { count += 1 } // keyより大きい要素数を数える
        total += 1
    }
    return (count, total)
}

let words = [ "red", "hot", "eye", "flame", "haze" ]
print( rank(key:"eye", in:words) )
print( rank(key:"hair", in:words) )
print( rank(key:"xanadu", in:words) )
