let sum = [ 1, 7, 8, 2, 3, 9 ].reduce(0, +)
print(sum)  // 30 を表示

let codes = [ 0x602a, 0x529b, 0x4e71, 0x795e ]
let str = codes.reduce("*") {
    return $0 + String(Unicode.Scalar($1)!) + "*"
}
print(str)  // "*怪*力*乱*神*"

let marks = ["池沢":82, "小磯":78, "篠原":82, "陣内":64]
let mx = marks.reduce(0) { $1.value > $0 ? $1.value : $0 }
print(mx)

if let who = marks.max(by: { $0.value < $1.value }) {
    print(who)
}   // たとえば、(key: "篠原", value: 82) が表示
