let work = [("木下", 2), ("中沢", 1), ("良田", 3), ("鈴木", 1),
    ("木下", 1), ("中沢", 2), ("鈴木", 1), ("良田", 2), ("木下", 3)]
let total = work.reduce([String:Int]()) {
    var record = $0  // $0 は定数なので変更できるように変数に代入
    record[$1.0, default:0] += $1.1
    return record
}
print(total) // ["木下": 6, "中沢": 3, "鈴木": 2, "良田": 5]

let total2 = work.reduce(into: [String:Int]()) {
    $0[$1.0, default:0] += $1.1
}
print(total2) // ["木下": 6, "中沢": 3, "鈴木": 2, "良田": 5]

let total3 = work.reduce(into: [String:Int]()) {
    (record: inout [String:Int], d:(name:String, hour:Int)) in
    record[d.name, default:0] += d.hour
}
print(total3) // ["木下": 6, "中沢": 3, "鈴木": 2, "良田": 5]
