typealias Profile = (name:String, kana:String, height:Int)
let data: [Profile] = [ ("島村", "しまむら", 159),
    ("緒方", "おがた", 153), ("前川", "まえかわ", 152),
    ("新田", "にった", 165), ("神崎", "かんざき", 156) ]
print(data.sorted{ $0.height < $1.height }.map{ $0.name })
// ["前川", "緒方", "神崎", "島村", "新田"]

let index = data.indices.sorted{ data[$0].kana < data[$1].kana }
print(index)
// [1, 4, 0, 3, 2]
print(index.map{ data[$0].kana })
// ["おがた", "かんざき", "しまむら", "にった", "まえかわ"]

print("------")

let names = ["種島", "佐藤", "山田", "小鳥遊"]
let rv1 = names.reversed()
let rv2:[String] = names.reversed()
print(type(of:rv1))  // ReversedRandomAccessCollection<Array<String>>
print(rv1)
print(type(of:rv2))  // Array<String>
print(rv2)
