import Foundation

let dat: Set<Int> = [ 161, 152, 160, 153 ]
let nsd = dat as NSSet
print( type(of: nsd) )

let ns1: NSSet = [ 161.0, "Lv5", 2 ]  // 要素は違う型
let ns2: NSSet = [ 152, 4, 1 ]        // 要素は全て整数
print( type(of:ns1), type(of:ns2) )
if let ar1 = ns1 as? Set<AnyHashable> {   // Set<AnyHashable>型にできる
    print( type(of:ar1) )
}
if let ar2 = ns2 as? Set<Int> {   // Set<Int>型にできる
    print( type(of:ar2) )
}

let nss:NSSet = [ "out", 5, "mental", 168.0 ]
let ss = nss.filter{ $0 is String }
print(ss, type(of:ss))
if let swset = nss as? Set<AnyHashable> {   // キャストできる
    let strings = swset.flatMap { $0.base as? String }
    print( strings, type(of:strings) )      // [String] を得る
}
