class Vamp { var value = 1 
    init(_ v: Int) { value = v } 
    deinit { print("Vamp: \(value)") }
} 
do {
    let p = UnsafeMutablePointer<Vamp>.allocate(capacity:4)
    p.initialize(to: Vamp(9), count: 4)  // 領域を初期化する
    p[0] = Vamp(20)            // インスタンスを代入
    p[0] = Vamp(25)            // 別のインスタンスを代入
    p.deinitialize(count: 4)   // 領域を非初期化する
    p.deallocate(capacity: 4)  // 領域の解放
}
