struct DateWithString {
    let string: String          // 文字列も保持
    let year, month, day: Int
    init(_ y:Int, _ m:Int, _ d:Int) {
        year = y; month = m; day = d
        string = "\(y)-" + DateWithString.twoDigits(m)
                   + "-" + DateWithString.twoDigits(d)
    }
    static func twoDigits(_ n:Int) -> String {   // タイプメソッド
        let i = n % 100
        return i < 10 ? "0\(i)" : "\(i)"
    }
}

let an1 = DateWithString(2015, 6, 22)
print(an1.string)
