func quote(_ s: String) -> String! { // 本来は String? が適切
    return s != "" ? "「" + s + "」" : nil
}

let s1: String = quote("睡眠の重要性")
print(s1)
let s2: String? = quote("")
if s2 == nil { print("s2 == nil") }
// let s3: String = quote("")   // 実行時エラー
// print(s3)
let ss = quote("アンナ先輩")    // ssは String?型
// print(ss)       // 警告が出される
print(type(of:ss)) // ssの型を表示する
print(ss!)

func dash(_ title: String!) { // 引数の型は String が適切
    print("- " + title)       // ダッシュを付けて印刷
}
let t1: String = "中諏訪駅探方";  dash(t1)
let t2: String? = "七人目の勇者";  dash(t2)
// let t3: String? = nil;  dash(t3)
