var mark : [Int?] = [ 10, 5, nil, 7, 3, nil, 0, 10, 1, 8 ]
var total = 0
var count = 0
for m in mark {
    if let n = m { total += n; count += 1 }
}
print("平均=\(Double(total) / Double(count))")

// var names : [String!]        // エラー。宣言できない。
var list : [String]!         // 宣言できる



/* 参考：ジェネリック定義の型パラメータにも利用できない */

struct Pool<T> {
    var value: T
    init(_ t:T) { value = t }
}

let a = Pool<Int>(100)
print(a.value)

let b = Pool<Int?>(200)
print(b.value!)

// let c: Pool<Int!> = Pool<Int!>(300)
// print(c.value)
