// 連続する空白を１つにし、末尾の空白を取り除く関数
func trimSpaces(_ str: String) -> String {
    var result = ""
    var spflag = false           // 直前が空白文字かを示すフラグ
    for ch in str {              // 文字列の先頭から１文字ずつ取り出す
        if ch == " " {           // 空白なら（ここの " " はCharacter）
            spflag = true
        }else {
            if spflag {          // 空白以外で、空白の直後なら
                result += " "    // ここの " " はString
                spflag = false
            }
            result.append(ch)    // 文字を末尾に追加
        }
    }
    return result
}

let s = trimSpaces("  Etoile et  toi,   そして あなたと  私  ")
print("\"" + s + "\"")
