let ri = 0 ... 9               // CountableClosedRange<Int>型
let r2 = Range(0 ... 9)        // Range<Int>型
let rd = 2.5 ..< 4.0           // Range<Double>型
let rs = "α" ... "ω"         // ClosedRange<String>型
let rp = 16...                 // CountablePartialRangeFrom<Int>型
let rq = PartialRangeFrom(16)  // PartialRangeFrom<Int>型
let rf = ...Float(0.5)         // PartialRangeThrough<Float>型
let rg = PartialRangeUpTo(0.5) // PartialRangeUpTo<Double>型
// type(of:) で型名を表示できる
print(ri, type(of:ri))
print(r2, type(of:r2))
print(rd, type(of:rd))
print(rs, type(of:rs))
print(rp)
print(rq)
print(rf)
print(rg)

let semi = 0.0 ..< 3.14159
print( semi.contains(0.5) )                 // true
print( "いろは" ... "こまち" ~= "かおり" )  // true
