enum Direction {
    case up, down, right, left
    func clockwise() -> Direction {     // メソッドの定義
        switch self {
            case .up:    return .right  // 90°回転した方向
            case .down:  return .left
            case .right: return .down
            case .left:  return .up
        }
    }
}

let d = Direction.up
// d.clockwise()
print( d.clockwise() == .down )                // false
print( d.clockwise().clockwise() == .down )    // true
