typealias People = (String, Int?)

var list: [String: People] = [
    "K0108":("奏", 18) , "K0116":("ゆい", nil), "F0202":("佳織", 17) ]

for k in ["F0202", "M0191", "K0108"] {
    let ops = list[k]   // ops は People?型
    switch ops {
    case let (name, 18?)?:  print("name=\(name), age=18")
              // 開示した結果が (文字列, 18) ならマッチする
    case let (name, _)?:  print("name=\(name)")
              // 開示した結果が (文字列, _) ならマッチする
    default: print("none")
    }
}
