enum Ticket {
    case 切符(Int, Bool, 回数券:Bool) // 普通券：価格、小人、回数券かどうか
    case カード(Int, Bool)            // プリペイドカード：残高、小人
    case 敬老パス                     // 敬老パス
}


let tickets:[String:Ticket] = [
    "支倉" : .切符(260, false, 回数券:true),
    "佐々木" : .切符(220, false, 回数券:false)]
let name = "佐々木"
if let t = tickets[name], case .切符(220, _, _) = t {
    print("220円券")
}
if case .切符(220, _, _)? = tickets[name] {
    print("220円券")
}

let t1 = Ticket.カード(300, false)
let t2 = Ticket.カード(2000, true)
if case .カード(let p1, _) = t1, p1 > 100,
   case .カード(let p2, _) = t2, p2 > p1 {
    print(p1, p2)
}
