var array = [Time]()                      // Time型の配列
array.append(Time(hour:13, min:10))
array.append(Time12(hour:13, min:20))
array.append(Time12(hour:1, min:30, pm:true))
for t in array {
    if t is Time12 { print(t) }           // Time12型なら printを使う
    else {
        print(">", t.toString())          // そうでなければ先頭に">"を印字
    }
}
let v = array[1] as! Time12
print(v.pm ? "PM" : "AM")

if let u = array[2] as? Time12 {          // オプショナル束縛構文
    print(u.pm ? "PM" : "AM")             // Time12型として扱う
}
if case let u as Time12 = array[2] {
    print(u.pm ? "PM" : "AM")
}
if case is Time12 = array[2] {
    print("All Right")
}
