class DayOfMonth : CustomStringConvertible {
    var month, day: Int
    init(month:Int, day:Int) {                // イニシャライザ
        self.month = month; self.day = day
    }
    var description: String {                 // 計算型プロパティ
        return DayOfMonth.twoDigits(month)
            + "/" + DayOfMonth.twoDigits(day)
    }
    class func twoDigits(_ n:Int) -> String { // クラスメソッド
        let i = n % 100                       // 2桁の数字で表現
        if (i < 10) { return "0\(i)" }
        return "\(i)"
    }
}
