let r1 = 1 ..< 10                    // r1 は CountableRange<Int>
let r2 = (1 ..< 10) as Range         // r2 は Range<Int>
let r3 = (1 ..< 10) as Range<UInt8>  // r3 は Range<UInt8>
print("r1:", type(of:r1))
print("r2:", type(of:r2))
print("r3:", type(of:r3))

let s = ["John", "Smith"] as Set<String>
// s = Set<String>([ ... ]) または s: Set<String> = [ ... ] と同じ
let c = "字" as Character	// c = Character("字") と同じ

print("s:", type(of:s))
print(s)
print("c:", type(of:c))
print(c)
