var array = [Time]()                      // Time型の配列
array.append(Time(hour:13, min:10))
array.append(Time12(hour:13, min:20))
array.append(Time12(hour:1, min:30, pm:true))

// p.216 キャスト演算子 as + case
for t in array {
    switch t {
    case let u as Time12:
        print("Time12:", u)
    default:
        print("Time:", t.toString())
    }
}

print("-----")
// p.217 キャスト演算子 as?
for t in array {
    if let v = t as? Time12 {
        print("Time12:", v)
    }else {
        print("Time:", t.toString())
    }
}

print("-----")
// p.217 キャスト演算子 as + if-case文
for t in array {
    if case let v as Time12 = t {
        print("Time12:", v)
    }else {
        print("Time:", t.toString())
    }
}
