struct Friends {
    let names: [String]
    subscript(idx: Int) -> String { return names[idx] }
    subscript(idx: Int, default def: String) -> String {
        guard 0 ..< names.count ~= idx else { return def }
        return self[idx]
    }
}

let fri = Friends(names:["舞夏", "最愛", "元春", "氷華", "春生"])
print(fri[0])
print(fri[5, default:"INDEX"])
