let dat = [2, 80, 45, 13]

// 文字列の配列に変換する
let str = dat.map{ "\($0)" }
print(str)

// 10以上の整数を取り出し、並べ替えてから文字列に変換
let str2 = dat.filter{ $0 >= 10 }.sorted(by: < ).map{ "\($0)" }
print(str2)

// 1から10までの合計を計算
let numbers = [Int](1...10)
var sum = numbers.reduce(0) { $0 + $1 }
print(sum)

sum = (0 ... 10).reduce(0, +)
print(sum)
