let screen = [ 12.0, 13.0, 15.0, 21.5, 27.0 ]
let dim = screen.map{ $0 * 2.54 }
print(dim) // [30.48, 33.02, 38.10, 54.61, 68.58]

let dim2 = screen.map{ $0 * 2.54 }.filter{ $0 < 50.0 }
print(dim2) // [30.48, 33.02, 38.10]

print("------")

let steps = [90, 80, 70, 60]                 // 基準の点数（降順）
let evals = ["秀", "優", "良", "可", "不可"] // 評価を示す文字列
let m = ["晴信":68, "香子":52, "あかり":90, "零":75] // データ
let marks = m.mapValues { (point: Int) -> String in
    var index = 0
    for s in steps { // 順番に基準点と比較する
        if point >= s { break }
        index += 1
    }
    return evals[index]
}
print(marks)
// ["零": "良", "晴信": "可", "香子": "不可", "あかり": "秀"]
