// フィボナッチ数列を返すシークエンスの例です。状態としてタプルを使います。
var fib = sequence(state: (0, 1)) {
    (num: inout (Int, Int)) -> Int? in
    let (r, n) = num; num = (n, r + n)
    return r
}
for f in fib.prefix(20) { // 先頭の20個分を表示
    print(f, terminator:" ")
}
print()
