//
//  Actor.swift
//  Tapping
//
//  Created by 荻原 剛志 on 2017/11/01.
//  Copyright © 2017年 Takeshi OGIHARA. All rights reserved.
//

import UIKit

class Actor : NSObject {
    // MARK: プロパティ
    @IBOutlet weak var textfield: UITextField!	// テキストフィールド
    @IBOutlet weak var button2nd: UIButton!   	// ２つ目のボタンを参照
    // MARK: アクションメソッド
    @IBAction func tapped(_ sender: UIButton) {
        textfield.text = "おはようございます"
        let sel = #selector(Actor.knocked(_:))
        button2nd.addTarget(self,               // ターゲットと
            action:sel, for:.touchUpInside)     // アクションを設定
    }
    @IBAction func knocked(_ sender: UIButton) {
        textfield.text = "ごきげんよう"
        let sel = #selector(Actor.clearText(_:))
        Timer.scheduledTimer(timeInterval: 1.0, // 1秒後に実行
            target:self, selector:sel, userInfo: nil, repeats: false)
    }
    @objc func clearText(_ sender: AnyObject) {
        textfield.text = ""
    }
}
